org.apache.cassandra.exceptions

## Class StartupException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cassandra.exceptions.StartupException

All Implemented Interfaces:
  java.io.Serializable

    public class StartupException
    extends java.lang.Exception

An exception thrown during system startup, indicating the environment or system is not in a valid state to startup.

See Also:
  Serialized Form

### Field Summary

Fields
`int` `returnCode`

### Constructor Summary

Constructors
Constructor and Description
`StartupException(int returnCode, java.lang.String message)`
`StartupException(int returnCode, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### returnCode

    public final int returnCode

### Constructor Detail

#### StartupException

    public StartupException(int returnCode,
                            java.lang.String message)

#### StartupException

    public StartupException(int returnCode,
                            java.lang.String message,
                            java.lang.Throwable cause)